unit CfgForm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, Spin;

type
  TMouseRec = record
    XPos,
    YPos: Integer;
    Click: Boolean;
  end;
  PMouseRec = ^TMouseRec;
  TMouseForm = class(TForm)
    ClickTimer: TTimer;
    cbEnable: TCheckBox;
    Label1: TLabel;
    Label2: TLabel;
    spInterval: TSpinEdit;
    procedure DoClick(Sender: TObject);
    procedure spIntervalChange(Sender: TObject);
    procedure SetTimer(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MouseForm: TMouseForm;
  RecList: TList;
  RecItem: PMouseRec;
  N: Integer;

implementation

{$R *.DFM}

procedure TMouseForm.DoClick(Sender: TObject);
begin
  // Simulate mouseclick
  Mouse_Event(MOUSEEVENTF_LEFTDOWN,0,0,0,0);
  Sleep(1);
  Mouse_Event(MOUSEEVENTF_LEFTUP,0,0,0,0);
end;

procedure TMouseForm.spIntervalChange(Sender: TObject);
begin
  ClickTimer.Interval := spInterval.Value * 1000;
end;

procedure TMouseForm.SetTimer(Sender: TObject);
begin
  ClickTimer.Enabled := cbEnable.Checked;
end;

initialization
  RecList := TList.Create;

finalization
  If RecList.Count > 0 then For N := 0 to RecList.Count-1 do begin
    RecItem := RecList[N];
    Dispose(RecItem);
  end;
  RecList.Free;

end.
